#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import json

file = open("../.credentials/.postgres")
connection_string = file.readline()

sql_code = """
    SELECT g.groupkey, g.id, g.description, g.displayunit
    FROM fews.parametergroups AS g;
"""

pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)
query.execute(sql_code)

result = json.dumps(query.fetchall())

print ("Content-type: application/json")
print ()
print ('{"records":',result.replace("'",'"'),'}')