from datetime import datetime
import numpy as np

def title():
    return "Double Mass Curve"

def abstract():
    return "Retrieves the timesseries for a specific location set and parameter. Then it returns a cumulative timeseries of the selected parameter and location set. Comparison is single vs. single or single vs. mean."

def inputs():
    return [['startdate','Start date for data collection','string'],
            ['enddate','End date for data collection','string'],
            ['parameterid','Parameter ID','string'],
            ['locations_x','Locations selected for dmc, plotted on the x-axis','string'],
            ['locations_y','Locations selected for dmc, plotted on the y-axis','string']]
