from datetime import datetime
import numpy as np

def title():
    return "Time series"

def abstract():
    return "This returns the timeseries for a selected parameter and location."

def inputs():
    return [['startdate','Start date for data collection','string'],
            ['enddate','End date for data collection','string'],
            ['parameterid','Parameter ID','string'],
            ['locations','Locations selected for timeseries display','string']]

def process(identifier, parameters, records):
    for record in records:
        record['date'] = datetime.strftime(record['date'], "%Y-%m-%d %H:%M:%S") # change datetime.datetime to str for json.dumps()
        
    return records
