#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import os, sys
import json
from decode import token_decode
import cas
import encode

contentlength = os.environ.get('CONTENT_LENGTH', 0)
postdata = sys.stdin.read(int(contentlength))
postdata = json.loads(postdata)
ticket = postdata['ticket']
logindata = token_decode(postdata['logindata'])
params = json.loads(logindata)
username = params['username']
passwd = params['passwd']

file = open("../.credentials/.postgresadmin")
connection_string = file.readline()
pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)

print ("Content-type: application/json; charset=utf-8")
print ()

if not cas.authorized(ticket,{"setpasswd" : "rw"}):
    print ('{"success" : false, "message" : "Password not set."}')
else:
    try:
        sql = "BEGIN; UPDATE app.user SET passwd='" + encode.md5encode(passwd) + "' WHERE username='" + username + "'; COMMIT;"
        query.execute(sql)
        print ('{"success" : true, "message" : "Password set."}')
    except Exception as err:
        print ('{"success" : false, "message" : "Password not set."}')


